From 82f138cc86f4f5d47e7cf4e47aa785517b4c8151 Mon Sep 17 00:00:00 2001
From: Martin Malmsten <martin.malmsten@kb.se>
Date: Mon, 5 Sep 2016 16:14:31 +0200
Subject: [PATCH] Corrected error code for ListRecords with erroneous
 metadataPrefix

A ListRecords request with metadataPrefix other than "oai_dc" resulted
in a "badVerb" error code rather than the correct
"cannotDisseminateFormat"
---
 plugins/arOaiPlugin/modules/arOaiPlugin/actions/indexAction.class.php | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/plugins/arOaiPlugin/modules/arOaiPlugin/actions/indexAction.class.php b/plugins/arOaiPlugin/modules/arOaiPlugin/actions/indexAction.class.php
index 2d7d6ee..a64f1bd 100644
--- a/plugins/arOaiPlugin/modules/arOaiPlugin/actions/indexAction.class.php
+++ b/plugins/arOaiPlugin/modules/arOaiPlugin/actions/indexAction.class.php
@@ -125,7 +125,7 @@ class arOaiPluginIndexAction extends sfAction
       $metadataPrefix = $this->request->metadataPrefix;
       if ($metadataPrefix != '' AND $metadataPrefix != 'oai_dc')
       {
-        $request->setParameter('errorCode', 'badVerb');
+        $request->setParameter('errorCode', 'cannotDisseminateFormat');
         $request->setParameter('errorMsg', 'The metadata format identified by the value given for the metadataPrefix argument is not supported by the item or by the repository.');
 
         $this->forward('arOaiPlugin', 'error');
-- 
2.7.4 (Apple Git-66)

